NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Routing.RouteSweptFoldBuilder Class Reference

Represents a Rout Swept Fold Builder More...

Inheritance diagram for NXOpen.Routing.RouteSweptFoldBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void SetStock (NXOpen.Routing.Stock stock)
 Sets the value of stock, stock width and stock thickness to the builder. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression BendAngle [get]
 Returns the bend angle More...
 
unsafe NXOpen.Expression BendRadius [get]
 Returns the bend radius More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
FoldLocation [get]
 Returns the fold location More...
 
unsafe NXOpen.Expression FoldRotationAngle [get]
 Returns the fold rotation angle More...
 
unsafe NXOpen.Expression FoldStartRotationAngle [get]
 Returns the fold start rotation angle More...
 
unsafe NXOpen.Expression LengthAdjustment [get]
 Returns the length adjustment More...
 
unsafe bool ReverseBendAngle [get, set]
 Returns or sets the reverse bend angle More...
 
unsafe bool ReverseFixedSegment [get, set]
 Returns or sets the reverse fixed segment More...
 
unsafe bool ReverseFoldRotationAngle [get, set]
 Returns or sets the reverse fold rotation angle More...
 
unsafe NXOpen.Curve Spline [get]
 Returns the spline stored in the builder. More...
 
unsafe NXOpen.SelectBody StockSelection [get]
 Returns the stock selection. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Rout Swept Fold Builder

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateRouteSweptFoldBuilder

Created in NX7.0.0

Member Function Documentation

unsafe void NXOpen.Routing.RouteSweptFoldBuilder.SetStock ( NXOpen.Routing.Stock  stock)
inline

Sets the value of stock, stock width and stock thickness to the builder.

This will set the stock only if it has rectangular cross section. After setting the stock it will create and set the spline for the builder. It will also set the spline curves for the builder if the stock has more than one segments.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
stockSelected Stock

Property Documentation

unsafe NXOpen.Expression NXOpen.Routing.RouteSweptFoldBuilder.BendAngle
get

Returns the bend angle

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Expression NXOpen.Routing.RouteSweptFoldBuilder.BendRadius
get

Returns the bend radius

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Routing.RouteSweptFoldBuilder.FoldLocation
get

Returns the fold location

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Expression NXOpen.Routing.RouteSweptFoldBuilder.FoldRotationAngle
get

Returns the fold rotation angle

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Expression NXOpen.Routing.RouteSweptFoldBuilder.FoldStartRotationAngle
get

Returns the fold start rotation angle

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Expression NXOpen.Routing.RouteSweptFoldBuilder.LengthAdjustment
get

Returns the length adjustment

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe bool NXOpen.Routing.RouteSweptFoldBuilder.ReverseBendAngle
getset

Returns or sets the reverse bend angle

Created in NX7.5.0

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe bool NXOpen.Routing.RouteSweptFoldBuilder.ReverseFixedSegment
getset

Returns or sets the reverse fixed segment

Created in NX7.5.0

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe bool NXOpen.Routing.RouteSweptFoldBuilder.ReverseFoldRotationAngle
getset

Returns or sets the reverse fold rotation angle

Created in NX7.5.0

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe NXOpen.Curve NXOpen.Routing.RouteSweptFoldBuilder.Spline
get

Returns the spline stored in the builder.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.SelectBody NXOpen.Routing.RouteSweptFoldBuilder.StockSelection
get

Returns the stock selection.

This will be the solid body

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.